/***************************************************************************
 *   Copyright (C) 2005 by JSRiera							               *
 *   http://www.xtec.cat/dnee/udc/english/main.html					       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 *   YOU CAN NOT USE THIS SOURCE FILE OR MODIFIED VERSION FOR ANY          *
 *   COMMERCIAL PRODUCTS!                                                  *
 *                                                                         *
 ***************************************************************************/
#include "CGame.h"

CGame *Game = NULL;


int main(int argc, char *argv[])
{

	int fs, fv, fh;
	if (argc < 2) 
	{ 
		printf("Error. Need a file to initialize Game");
		exit (-1);
	} 
	else if (argc < 3) // Set the default parameters
	{
		fs = 0;
		fv = 0;
		fh = 0;
	}
	else if (argc > 5) // Too much parameters
	{
		printf("Only 4 parameters needed");
		exit (-1);
	}
	else 
	{
		fs = atoi (argv[2]);
		fv = atoi (argv[3]);
		fh = atoi (argv[4]);
	}

	Game = new CGame ();

	char * file = argv[1];

	//Game->Init (param1, param2, param3, file);
	//Game->Init (argv[1], atoi(argv[2]), atoi(argv[3]), atoi(argv[4]));
	Game->Init (file, fs, fv, fh);
	
	while(Game->Finalitzar ())
	{
		Game->ProcessarEvent ();
		Game->Joc();
	}

	Game->FreeJoc();

	delete Game;

	return 0;
}
